---
draft: true
title: "Transmission On Docker"
date: 2020-11-26T15:20:30+01:00
tags: ["Docker"]
---

Transmission is a widely used torrenting client for Linux. But did you know
you could also run it as a server? This means you could download your torrents
on for example a remote VPS. As torrents heavily rely on both upload and
download speeds, you can expect a tremendous increase in speed thanks to the
high upload speeds of servers.

In this tutorial, I'll be teaching you how to install Transmission Server on
your VPS or server of choice using Docker, so you can download torrents at 
blazing fast speeds.

## Needed Software
First of all, we'll need Docker and docker-compose. On Ubuntu, you can install
these as follows:

`sudo apt install docker.io docker-compose`

For other distros, just use their respective package manager. The Docker
package will probably be called `docker.io` or `docker`.

## The Image
We'll be using [linuxserver.io](https://www.linuxserver.io/)'s
[Transmission Image](https://docs.linuxserver.io/images/docker-transmission).
It comes pre-configured, and can mostly be initialized by just setting some
environment variables. However, I won't be using those, as I find just changing
the configuration file myself is much more straightforward and reliable. I will
teach you how to change this file to your liking, so that you too can have full
control over your Transmission server.
